%global __requires_exclude typelib\\(LaunchpadIntegration\\)

Name:		menulibre
Epoch:		1
Version:	2.3.2
%define subrel	2
Release:	%mkrel 1
Summary:	Advanced menu editor
License:	GPLv3
Group:		Graphical desktop/Other
Url:		https://bluesabre.org/menulibre/
Source0:	https://github.com/bluesabre/menulibre/releases/download/menulibre-%{version}/menulibre-%{version}.tar.gz
Patch1:		menulibre-xdg_config_dirs.patch
Patch2:		menulibre-mga-dirs.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	locales
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-psutil
Requires:	python3-gobject
Requires:	python3-psutil

%description
An advanced menu editor that provides modern features in a clean, easy-to-use
interface.

%prep
%autosetup -p1

%build
#nothing

%install
LC_ALL=C.UTF-8 %{__python3} setup.py install \
	--root=%{buildroot}

# not needed
rm -rf %{buildroot}%{python3_sitelib}/__pycache__/
rm -rf %{buildroot}%{python3_sitelib}/uninstall.py

# fix .desktop file
desktop-file-edit \
	--remove-only-show-in=Pantheon \
	--remove-only-show-in=Budgie \
		%{buildroot}%{_datadir}/applications/menulibre.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-menu-validate
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/menulibre.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man1/%{name}*
%{python3_sitelib}/%{name}{,_lib}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Sep 15 2023 wally <wally> 1:2.3.2-1.2.mga9
+ Revision: 1986865
- improve Mageia desktop directory (menu category) names patch again

* Thu Sep 14 2023 wally <wally> 2.3.2-1.1.mga9
+ Revision: 1986554
- improve Mageia desktop directory (menu category) names patch

* Tue Sep 05 2023 wally <wally> 2.3.2-1.mga9
+ Revision: 1984461
- new version 2.3.2
- add patch to fix Mageia desktop directory (menu category) names (mga#32229)

* Sun Dec 04 2022 wally <wally> 1:2.3.0-1.mga9
+ Revision: 1917482
- new version 2.3.0

* Thu Mar 31 2022 umeabot <umeabot> 1:2.2.3-4.mga9
+ Revision: 1836354
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1:2.2.3-3.mga9
+ Revision: 1774296
- Rebuild for python 3.10
+ wally <wally>
- update URL

* Fri Dec 10 2021 wally <wally> 1:2.2.3-2.mga9
+ Revision: 1761347
- allow app to start in modern gnome without traditional app menu (mga#29746)

* Thu Oct 07 2021 wally <wally> 1:2.2.3-1.mga9
+ Revision: 1749928
- new version 2.2.3

* Mon Mar 15 2021 wally <wally> 1:2.2.1-5.mga9
+ Revision: 1703638
- rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 1:2.2.1-4.mga8
+ Revision: 1669795
- make sure that gtk3 is installed during build

* Sun Feb 16 2020 umeabot <umeabot> 1:2.2.1-3.mga8
+ Revision: 1533522
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 1:2.2.1-2.mga8
+ Revision: 1444585
- rebuild for python3.8

* Thu Jun 06 2019 wally <wally> 1:2.2.1-1.mga7
+ Revision: 1399621
- new version 2.2.1 (mga#24906)

* Mon Jan 07 2019 wally <wally> 1:2.2.0-3.mga7
+ Revision: 1350659
- rebuild for python3.7

* Sat Nov 17 2018 umeabot <umeabot> 1:2.2.0-2.mga7
+ Revision: 1330314
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 wally <wally> 1:2.2.0-1.mga7
+ Revision: 1218867
- new version 2.2.0

* Sat Jan 20 2018 wally <wally> 1:2.1.4-1.mga7
+ Revision: 1195175
- new version 2.1.4

* Sat Aug 05 2017 pterjan <pterjan> 1:2.1.3-2.mga7
+ Revision: 1136204
- Fix for new find_lang
- Rebuild for python 3.6

* Wed Dec 28 2016 wally <wally> 1:2.1.3-1.mga6
+ Revision: 1078519
- new version 2.1.3

* Sat Feb 20 2016 umeabot <umeabot> 1:2.1.2-2.mga6
+ Revision: 971807
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 wally <wally> 1:2.1.2-1.mga6
+ Revision: 893024
- new version 2.1.2

* Thu Oct 08 2015 wally <wally> 1:2.1.1-2.mga6
+ Revision: 887649
- rebuild for python 3.5

* Sat Sep 26 2015 wally <wally> 1:2.1.1-1.mga6
+ Revision: 883795
- new version 2.1.1

* Sun Sep 20 2015 wally <wally> 1:2.1.0-2.mga6
+ Revision: 881935
- update file list to make rpm 4.13 happy

* Wed Aug 26 2015 wally <wally> 1:2.1.0-1.mga6
+ Revision: 869755
- new version 2.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.6-2.mga5
+ Revision: 744546
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1:2.0.6-1.mga5
+ Revision: 733897
- new version 2.0.6
- drop unneeded libgirepository-devel BR

* Sat Sep 27 2014 tv <tv> 1:2.0.5-3.mga5
+ Revision: 727231
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.5-2.mga5
+ Revision: 682359
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Tue Aug 12 2014 wally <wally> 1:2.0.5-1.mga5
+ Revision: 661967
- new version 2.0.5

* Sat May 31 2014 pterjan <pterjan> 1:2.0.4-3.mga5
+ Revision: 629692
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1:2.0.4-2.mga5
+ Revision: 629537
- Rebuild for new Python

* Wed May 21 2014 wally <wally> 1:2.0.4-1.mga5
+ Revision: 624776
- new version 2.0.4

* Tue Mar 11 2014 wally <wally> 1:2.0.3-1.mga5
+ Revision: 602490
- new version 2.0.3

* Fri Feb 14 2014 wally <wally> 1:2.0.1-1.mga5
+ Revision: 591209
- new version 2.0.1
- add epoch due to versioning scheme change
- switch to python3 and clean requires

* Tue Oct 22 2013 umeabot <umeabot> 13.04.17-4.mga4
+ Revision: 542792
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.04.17-3.mga4
+ Revision: 497875
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 wally <wally> 13.04.17-2.mga4
+ Revision: 467598
- fix find_lang macro usage
- require python-gi

* Tue May 28 2013 wally <wally> 13.04.17-1.mga4
+ Revision: 429520
- new version 13.04.17
- require python-pyxdg

* Thu May 23 2013 wally <wally> 13.01.4-1.mga4
+ Revision: 425048
- new version 13.01.4

* Sat Jan 12 2013 umeabot <umeabot> 12.11.19-3.mga3
+ Revision: 359969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 wally <wally> 12.11.19-2.mga3
+ Revision: 332143
- require yelp for help

* Mon Dec 17 2012 wally <wally> 12.11.19-1.mga3
+ Revision: 332138
- new version 12.11.19

* Sat Sep 08 2012 wally <wally> 12.08.12-1.mga3
+ Revision: 290424
- imported package menulibre

